Error with the process modeler interface

2018-05-30 04:47 PM - Samuel Fernando Mesa Giraldo

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.0.3 Regression?: No

Operating System: Arch Linux x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26898

Description

Since version 3.0.2 I have encountered problems with the graphical interface of the process modeler, the definition of model parameters

and properties is not displayed.

https://i.imgur.com/pFukA1Oh.png

The error is in the ArchLinux x64 distribution

Associated revisions

Revision 87962254 - 2018-05-31 04:45 AM - Nyall Dawson

[processing] Fix bad layout for docks in modeler

Because there's some deep underlying issue which causes the dock

layouts to get corrupted in certain circumstances, avoid the

issue entirely by moving construction of the docks out of

the .ui file and instead do it all manually via Python code.

Fixes #16428, #19068

History

#1 - 2018-05-31 09:48 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|879622547c5263a8ae873d9ea7251228d16b2889.
